package com.hc.business.dto;


import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


@Data
public class OrderRefundAllDto {

    @ExcelProperty(value = "支付订单编号", index = 0)
    private String orderNo;

    @ExcelProperty(value = "支付订单金额", index =1)
    private Double orderAmount;

    @ExcelProperty(value = "支付时间", index =2)
    private String payTimeStr;

    @ExcelProperty(value = "支付方式", index =3)
    private String payTypeName;

    /////////////////
    @ExcelProperty(value = "退费订单编号", index =4)
    private String refundNo;

    @ExcelProperty(value = "退款金额", index =5)
    private Double refundAmount;

    @ExcelProperty(value = "申请退费时间", index =6)
    private String refundTimeStr;

    @ExcelProperty(value = "退费原因", index =7)
    private String refundReason;

    ////////////////
    @ExcelProperty(value = "姓名", index = 8)
    private String  userName;

    @ExcelProperty(value = "工作单位", index = 9)
    private String  userCompany;

    @ExcelProperty(value = "电话", index =10)
    private String  userMobile;

    ////////////////////
    @ExcelProperty(value = "发票状态", index =11)
    private String  syncStatusStr;

    @ExcelProperty(value = "正数发票号", index =12)
    private String  taxNo;

    @ExcelProperty(value = "红字发票号", index =13)
    private String  taxNoRed;


    @ExcelProperty(value = "培训班次", index =14)
    private String  className;

    @ExcelProperty(value = "审核状态", index =15)
    private String  statusName;

    @ExcelProperty(value = "审核时间", index =16)
    private String  fincalTimeStr;




    @ExcelProperty(value = "退费备注", index =17)
    private String  remarks;

    /////////////////////////
    //@ExcelProperty(value = "退款账户", index =17)
    private String  invoicesNo;

    //@ExcelProperty(value = "开户行", index =18)
    private String  invoicesBank;

    private Integer payType;
    private Long payTime;
    private Long refundTime;
    private Long fincalTime;
    private Integer  syncStatus;
    private Integer status; //审核状态

}
