package com.hc.business.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author JIA
 */

@Data
public class RetrievePasswordDto {

    @NotNull(message = "手机号不可以为空")
    private String userMobile;

    @NotNull(message = "短信回执不可以为空")
    private String sessionId;

    @NotNull(message = "验证码不可以为空")
    private String code;

    @NotNull(message = "新密码不可以为空")
    private String password;

    private String userName;

    private String userGender;

    private String userCompany;

    private String userEmail;

}
