package com.hc.business.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author 10696
 */
@Data
public class UserInvoiceDto {

    @ExcelProperty(value = "支付订单号", index = 0)
    private String orderNo;// -- 订单号

    @ExcelProperty(value = "支付时间", index = 1)
    private String createTimeStr;

    @ExcelProperty(value = "培训班次", index = 2)
    private String className;

    @ExcelProperty(value = "支付状态", index = 3)
    private String orderStatusName;

    @ExcelProperty(value = "订单金额", index = 4)
    private Double totalAmount;

    @ExcelProperty(value = "发票金额", index = 5)
    private Double invoicesPrice;

    @ExcelProperty(value = "发票抬头", index =6)
    private String invoicesHead;

    @ExcelProperty(value = "税号", index = 7)
    private String invoicesCode;

    @ExcelProperty(value = "开户行", index = 8)
    private String invoicesBank;

    @ExcelProperty(value = "账号", index = 9)
    private String invoicesNo;

    @ExcelProperty(value = "地址", index = 10)
    private String invoicesAddress;

    @ExcelProperty(value = "电话", index = 11)
    private String invoicesTel;

    @ExcelProperty(value = "收件人", index = 12)
    private String buyerLinker;

    @ExcelProperty(value = "收件电话", index = 13)
    private String buyerPhone;

    @ExcelProperty(value = "收件地址", index = 14)
    private String buyerAddress;

    private Long createTime;

    private Integer orderStatus; //订单状态订单状态0123支付成功，退费，部分退费 1

    private String userMobile;//电话



}
