package com.hc.business.mapper;

import com.hc.business.model.LiveClass;
import com.hc.core.utils.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 直播间班级配置表(LiveClass)表数据库访问层
 *
 * @author makejava
 * @since 2024-01-20 10:58:03
 */

@Repository
public interface LiveClassMapper extends Mapper<LiveClass> {

    /**
     * @Author ymnets
     * @Description 根据liveId查询下面的所有关联直播
     * @return java.util.List<com.hc.business.model.LiveClass>
     **/
    List<LiveClass> queryByLiveId(Integer liveId);

}
