package com.hc.gpbusiness.dto;

import com.hc.gpbusiness.model.WebCourse;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * 新闻表
 * (WebCourse)实体类
 *
 * @author java
 * @since 2020-07-29 17:28:24
 */
@Data
public class WebCourseDto{

    private Integer courseId;

    /**
     * 课程名称
     */
    private String courseName;

    /**
     * 图标
     */
    private String courseLogo;

    /**
     * 老师介绍是否可见
     */
    private Integer courseTeacherVisible;

    /**
     * 章节是否可见
     */
    private Integer courseChapterVisible;

    /**
     * 介绍是否可见
     */
    private Integer courseDescVisible;

    /**
     * 课程介绍
     */
    private String courseDesc;

    /**
     * 课程时长
     */
    private Float courseHours;

    /**
     * 教师
     */
    private String courseTeacher;

    /**
     * 课程是否上架。下架后不可见
     */
    private Integer isValid;

    /**
     * 如果有多张详情图，相册
     */
    private String gallery;

    /**
     * 课程所属板块表
     */
    private Integer moduleId;


    /**
     * 分类
     */
    private Integer typeId;
    private String typeName;

    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 更新时间
     */
    private Long updateTime;

}