package com.hc.business.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;

/**
 * @author 10696
 * @since 2020/11/25 10:41
 */
@Getter
public class ZccmQrAccessoryDto {



    private Integer qrId;

    /**
     * 课程ID
     */
    private Integer courseId;

    private String courseName;

    /**
     * 二维码索引
     */
    private Integer qrIndex;

    /**
     * 123表示文件，视频，音频
     */
    private Integer qrType;

    /**
     * 章节ID
     */
    private Integer chapterId;

    private String chapterName;

    /**
     * 文件名
     */
    private String fileName;

    /**
     * 文件url地址
     */
    private String fileUrl;

    /**
     * 二维码地址
     */
    private String qrUrl;
}
