package com.hc.business.mapper;

import com.hc.business.dto.ZccmQrAccessoryDto;
import com.hc.business.model.ZccmPaperQuestion;
import com.hc.business.model.ZccmQrAccessory;
import com.hc.core.utils.mapper.Mapper;
import io.swagger.annotations.ApiParam;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 二维码扫码附件表(ZccmQrAccessory)表数据库访问层
 *
 * @author makejava
 * @since 2024-11-08 09:39:45
 */
 
@Repository
public interface ZccmQrAccessoryMapper extends Mapper<ZccmQrAccessory> {

    List<ZccmQrAccessoryDto> queryByAll( Integer courseId,
                                         Integer qrIndex,
                                         Integer qrType,
                                         Integer chapterId,
                                         String fileName);

}
