package com.hc.business.mapper;

import com.hc.business.model.ZccmCourse;
import com.hc.business.model.ZccmThirdCourse;
import com.hc.core.utils.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;


/**
 * 第三方用户课程配置表(ThirdCourse)表数据库访问层
 *
 * @author java
 * @since 2020-06-17 17:29:30
 */

@Repository
public interface ZccmThirdCourseMapper extends Mapper<ZccmThirdCourse> {

    /**
     * 获取课程
     *
     * @param thirdId 第三方主键
     * @return 实例对象数组
     */
    List<ZccmCourse> queryThreadCourse(Integer thirdId);

}