package com.hc.business.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@Data
public class PaperCommitDTO implements Serializable {

    @NotNull(message = "用户id不可以为空")
    private Integer userId;

    @NotNull(message = "试卷id不可以为空")
    private Integer paperId;

    @NotNull(message = "班次id不可以为空")
    private Integer classId;

    @NotNull(message = "考试时间不可以为空")
    private String testTime;

    private List<PaperAnswer> answerList;

}
