package com.hc.business.dto;

import com.hc.business.model.UserAdvise;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
 * 用户建议表
 * (UserAdvise)实体类
 *
 * @author java
 * @since 2020-11-16 14:20:01
 */

@Data
public class UserAdviseDto implements Serializable {
    private Integer adviceId;

    private Integer userId;

    private String email;

    private String title;

    private String advise;

    private Long createTime;

    private String adviceLogo;

    private Integer adviceType;

    private Integer isReply;

    private Integer userDel;

    private Integer replyAdviceId;

    List<UserAdvise> replyList;

}