package com.hc.business.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Getter;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 用户表(User)实体类
 *
 * @author java
 * @since 2020-11-09 10:04:13
 */
@Getter
public class UserListDto implements Serializable {



    private Integer userId;


    private Integer userType;


    private String userName;

    private String userMobile;

    private String userEmail;

    private String userGender;


    private String userCompany;

    ///订单编号
    private long orderNumber;
    //支付状态
    private int orderStatus;
    //支付时间
    private  long orderTime;

    //标题
    private String className;

    //备注
    private String userReserved;


}
