package com.hc.web.controller.browser.front;

import com.hc.business.service.LiveClassService;
import com.hc.core.utils.result.Result;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;


/**
 * 直播间班级配置表(LiveClass)表控制层
 *
 * @author makejava
 * @since 2024-01-20 11:48:47
 */

@RestController
@RequestMapping("/new/api/Front/liveClass")
public class FrontLiveClassController {

    /**
     * 服务对象
     */
    private final LiveClassService liveClassService;

    public FrontLiveClassController(LiveClassService liveClassService) {
        this.liveClassService = liveClassService;
    }

    @GetMapping("/{id}")
    @ApiOperation(value = "依据主键获取 QuestionAnswer", response = Result.class)
    public Result selectFrontQuestionAnswer(@PathVariable("id") Integer id) {
        return Result.success(this.liveClassService.queryById(id));
    }


}
