package com.hc.gpbusiness.mapper;

import com.hc.gpbusiness.model.WebNewsAttachment;
import com.hc.gpcore.utils.tk.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 新闻附件表(NewsAttachment)表数据库访问层
 *
 * @author makejava
 * @since 2024-01-20 10:58:03
 */

@Repository
public interface WebNewsAttachmentMapper extends Mapper<WebNewsAttachment> {

    /**
     * @Author ymnets
     * @Description 根据资讯ID查询附件
     * @return java.util.List<com.hc.business.model.NewsAttachment>
     **/
    List<WebNewsAttachment> queryByNewsId(Integer newsId);
}
