package com.hc.business.mapper;

import com.hc.business.model.ZccmThird;

import com.hc.core.utils.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 第三方用户表(Third)表数据库访问层
 *
 * @author java
 * @since 2020-06-17 17:29:30
 */

@Repository
public interface ZccmThirdMapper extends Mapper<ZccmThird> {

    /**
     * 依据token 获取第三方信息
     *
     * @param token 校验码
     * @return 实例对象数组
     */
    List<ZccmThird> queryThirdByToken(String token);



}